
public abstract class Item {
  @Override
  public String toString() {
    return "Item";
  }
  
  @Override
  public boolean equals(Object o){
   return o != null && o.getClass() == this.getClass(); 
  }
}
